import { registerAs } from '@nestjs/config';
import { Config } from './config';

export interface GeographyConfig extends Config {
  georouterType: string;
  georouterUrl: string;
}

export default registerAs('geography', () => ({
  georouterType: process.env.GEOROUTER_TYPE ?? 'graphhopper',
  georouterUrl: process.env.GEOROUTER_URL ?? 'http://localhost:8989',
}));
